Bug 1270821 - NPE during "query --what=group" when nested groups are defined
NPE during "query --what=group" when nested groups are defined
Product: ovirt-engine-extension-aaa-jdbc
Classification: oVirt
Component: Core (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ovirt-3.6.0-rc3
: 1.0.1
Assigned To: Martin Perina
Ondra Machacek
Depends On:
  Show dependency treegraph
Reported: 2015-10-12 09:02 EDT by Martin Perina
Modified: 2016-02-10 14:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-11-04 08:36:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mperina: ovirt‑3.6.0?
mperina: exception?
rule-engine: planning_ack?
oourfali: devel_ack+
rule-engine: testing_ack+

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 47415 master MERGED core: Fix NPE during querying nested groups Never
oVirt gerrit 47464 ovirt-engine-extension-aaa-jdbc-1.0 MERGED core: Fix NPE during querying nested groups Never

  None (edit)
Description Martin Perina 2015-10-12 09:02:20 EDT
Description of problem:

When you execute "query --what=group" and there's nested group defined, following exception is thrown:

	at org.ovirt.engine.extension.aaa.jdbc.core.Schema.putNextGroup(Schema.java:362)
	at org.ovirt.engine.extension.aaa.jdbc.core.Schema.access$100(Schema.java:56)
	at org.ovirt.engine.extension.aaa.jdbc.core.Schema$searchPageResolver.nextPage(Schema.java:268)
	at org.ovirt.engine.extension.aaa.jdbc.core.Schema$searchPageResolver.resolve(Schema.java:243)
	at org.ovirt.engine.extension.aaa.jdbc.core.Schema$searchPageResolver.resolve(Schema.java:236)
	at org.ovirt.engine.extension.aaa.jdbc.core.datasource.Sql$Cursor.resolve(Sql.java:432)
	at org.ovirt.engine.extension.aaa.jdbc.core.Schema.get(Schema.java:766)
	at org.ovirt.engine.extension.aaa.jdbc.core.Authorization.executeQuery(Authorization.java:53)
	at org.ovirt.engine.extension.aaa.jdbc.core.Authorization.getResults(Authorization.java:76)
	at org.ovirt.engine.extension.aaa.jdbc.binding.cli.Cli$26.invoke(Cli.java:1050)
	at org.ovirt.engine.extension.aaa.jdbc.binding.cli.Cli$Command.invoke(Cli.java:95)
	at org.ovirt.engine.extension.aaa.jdbc.binding.cli.Cli$23.invoke(Cli.java:941)
	at org.ovirt.engine.extension.aaa.jdbc.binding.cli.Cli$Command.invoke(Cli.java:95)
	at org.ovirt.engine.extension.aaa.jdbc.binding.cli.Cli$Command.invoke(Cli.java:120)
	at org.ovirt.engine.extension.aaa.jdbc.binding.cli.Cli.main(Cli.java:1137)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:497)
	at org.jboss.modules.Module.run(Module.java:312)
	at org.jboss.modules.Main.main(Main.java:460)

Without nested groups query command works fine.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create groups g1 and g2
2. Add group g2 as a member of g1
3. Execute
    ovirt-aaa-jdbc-tool query --what=group

Actual results:

Exception is thrown

Expected results:

Query displays all existing groups.

Additional info:
Comment 1 Red Hat Bugzilla Rules Engine 2015-10-19 06:53:23 EDT
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.
Comment 2 Martin Perina 2015-10-19 09:58:35 EDT
Fix contained in ovirt-engine-extension-aaa-jdbc-1.0.1
Comment 3 Martin Perina 2015-10-26 04:58:21 EDT
Fix is included in oVirt 3.6.0 RC3
Comment 4 Ondra Machacek 2015-10-27 07:59:24 EDT
Fine with ovirt-engine-extension-aaa-jdbc-1.0.1-1.el6ev.noarch
Comment 5 Sandro Bonazzola 2015-11-04 08:36:25 EST
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.

Note You need to log in before you can comment on or make changes to this bug.